Bug 169743 - Review Request: libibverbs - InfiniBand user access library
Review Request: libibverbs - InfiniBand user access library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
David Lawrence
: 169752 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 169744
  Show dependency treegraph
Reported: 2005-10-02 17:34 EDT by Roland Dreier
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-29 23:45:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roland Dreier 2005-10-02 17:34:07 EDT
Spec Name or Url: http://www.digitalvampire.org/fedora/libibverbs.spec
SRPM Name or Url: http://www.digitalvampire.org/fedora/libibverbs-1.0-0.1.rc3.src.rpm
libibverbs is a library that allows userspace processes to use
InfiniBand "verbs" as described in the InfiniBand Architecture
Specification.  This includes direct hardware access for fast path

libibverbs is a library for using the "userspace verbs" support that was added in kernel 2.6.13.  I will post a separate review request for the libmthca plug-in, which provides device-specific support for Mellanox InfiniBand hardware.

This is my first package, so I need a sponsor as well.

Thanks, Roland.
Comment 1 Roland Dreier 2005-10-02 23:16:45 EDT
*** Bug 169752 has been marked as a duplicate of this bug. ***
Comment 2 Ed Hill 2005-10-24 22:30:20 EDT
 - please change Source from:
   since the former is an invalid URL

 + license is OK and included per license terms (good!)
 + source matches upstream
 + builds in mock on FC-4
 + spec is clean/readable
 + code not content
 + proper use of devel
 + *.la are deleted and ldconfig OK
 + no complaints or warnings from rpmlint

Unfortunately, I don't have any IB hardware to test it on (we use
Myrinet and/or ethernet for our clusters).

But regardless, this appears to be a good, clean first package.


And yes, I volunteer to sponsor you so please feel free to contact 
me if you have any questions, etc.

Comment 3 Roland Dreier 2005-10-29 23:45:51 EDT
libibverbs is now in FC-4 and devel.

Note You need to log in before you can comment on or make changes to this bug.